<!-- Copyright (c) 2026 defconxt. All rights reserved. -->
<!-- Licensed under AGPL-3.0 — see LICENSE file for details. -->
<!-- NERF is a trademark of defconxt. -->
# Exploiting Jit Compiler Bugs — API Reference

## Agent Script

| Command | Description |
|---------|-------------|
| `trigger --engine <val> --function <val>` | Force JIT compilation of target function |
| `analyze --engine <val> --ir-dump <val>` | Analyze JIT IR for optimization bugs |
| `exploit --engine <val> --bug-type <val>` | Exploit JIT compiler vulnerability |
| `report --engine <val> --format <val>` | Generate JIT exploitation report |

## Parameters

| Parameter | Type | Required | Description |
|-----------|------|----------|-------------|
| `--engine` | string | Yes | Engine parameter |
| `--function` | string | Yes | Function parameter |
| `--ir-dump` | string | Yes | Ir Dump parameter |
| `--bug-type` | string | Yes | Bug Type parameter |
| `--format` | string | Yes | Format parameter |
